cURL
curl --request POST \
--url https://app.pixy.art/api/v1/{designId}/duplicate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Copy for campaign B"
}
'const response = await fetch('https://app.pixy.art/api/v1/YOUR_DESIGN_ID/duplicate', {
method: 'POST',
headers: {
Authorization: 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json',
},
body: JSON.stringify({
name: 'Copy for campaign B',
}),
})
const copy = await response.json()
console.log(copy.id)
import requests
url = "https://app.pixy.art/api/v1/{designId}/duplicate"
payload = { "name": "Copy for campaign B" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
{
"id": "des_copy_123",
"name": "Copy for campaign B",
"thumbnail": "https://assets.example.com/designs/copy.png",
"createdAt": "2026-05-19T10:00:00.000Z",
"updatedAt": "2026-05-19T10:00:00.000Z",
"userId": "user_123",
"size": {
"width": 1080,
"height": 1080
}
}{
"message": "Design ID is required."
}{
"message": "Unauthorized"
}{
"message": "API access is not included in your current plan. Upgrade to get access."
}{
"message": "Design does not exist or you do not have access to it."
}{
"message": "Failed to duplicate design."
}API Reference
Duplicate design
Create an independent copy of a Pixy design or public template.
POST
https://app.pixy.art
/
api
/
v1
/
{designId}
/
duplicate
cURL
Authorizations
Organization API key passed as a bearer token.
Path Parameters
Pixy design or public template identifier to copy.
Body
application/json
Optional name for the copied design. Defaults to Copy of {source name}.
Example:
"Copy for campaign B"
Response
Successfully duplicated the design.
Design identifier.
Design name.
Design thumbnail URL.
Embedder-provided user id saved on this design.
Was this page helpful?
⌘I